/*-------------------------------------------------------------------------------------------------------------------*/
/**
 *    \file       Led_Rte.c
 *    \author     Baciu Vlad-Eusebiu
 *    \brief      Implements the configurable read and write accesses to RTE.

 */
/*-------------------------------------------------------------------------------------------------------------------*/

/*-------------------------------------------------------------------------------------------------------------------*/
/*                                                     Inclusions                                                    */
/*-------------------------------------------------------------------------------------------------------------------*/
#include "Led_Core.h"
/*-------------------------------------------------------------------------------------------------------------------*/
/*                                             Definition Of Local Macros                                            */
/*-------------------------------------------------------------------------------------------------------------------*/

/*-------------------------------------------------------------------------------------------------------------------*/
/*                                           Definition Of Local Data Types                                          */
/*-------------------------------------------------------------------------------------------------------------------*/

/*-------------------------------------------------------------------------------------------------------------------*/
/*                                           Declaration Of Local Variables                                          */
/*-------------------------------------------------------------------------------------------------------------------*/

/*-------------------------------------------------------------------------------------------------------------------*/
/*                                          Declaration Of Global Variables                                          */
/*-------------------------------------------------------------------------------------------------------------------*/

/*-------------------------------------------------------------------------------------------------------------------*/
/*                                           Declaration Of Local Constants                                          */
/*-------------------------------------------------------------------------------------------------------------------*/

/*-------------------------------------------------------------------------------------------------------------------*/
/*                                          Declaration Of Global Constants                                          */
/*-------------------------------------------------------------------------------------------------------------------*/

/*-------------------------------------------------------------------------------------------------------------------*/
/*                                           Declaration Of Local Functions                                          */
/*-------------------------------------------------------------------------------------------------------------------*/

/*-------------------------------------------------------------------------------------------------------------------*/
/*                                         Implementation Of Local Functions                                         */
/*-------------------------------------------------------------------------------------------------------------------*/

/*-------------------------------------------------------------------------------------------------------------------*/
/*                                         Implementation Of Global Functions                                        */
/*-------------------------------------------------------------------------------------------------------------------*/
/**
 * \brief      Reads all the LEDs control data and stores it to Led_gat_InputValues[] for further processing
 *             in the SWC core.
 * \param      -
 * \return     -
 */
void Led_gv_RteInputUpdate(void)
{
   Rte_Read_In_LedLeft(&Led_gat_InputValues[LED_LEFT_INDEX]);
   Rte_Read_In_LedCenter(&Led_gat_InputValues[LED_CENTER_INDEX]);
   Rte_Read_In_LedRight(&Led_gat_InputValues[LED_RIGHT_INDEX]);
}

/**
 * \brief      Writes all the DIO channels with the processed logic levels from Led_gat_OutputValues[].
 * \param      -
 * \return     -
 */
void Led_gv_RteOutputUpdate(void)
{
   Rte_Write_Out_LedLeft(&Led_gat_OutputValues[LED_LEFT_INDEX]);
   Rte_Write_Out_LedCenter(&Led_gat_OutputValues[LED_CENTER_INDEX]);
 //  Rte_Write_Out_LedRight(&Led_gat_OutputValues[LED_RIGHT_INDEX]);
}
